Name:		libgdamm
Version:	1.3.7
Release:	4%{?dist}
Summary:	C++ wrappers for libgda
Group:		System Environment/Libraries
License:	LGPL
URL:		http://www.gtkmm.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgdamm/1.3/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	glibmm24-devel, compat-libgda-devel

%description
C++ wrappers for libgda. libgdamm is part of a set of powerful
C++ bindings for the GNOME libraries, which provide additional
functionality above GTK+/gtkmm.

%package devel
Summary:	Headers/Libraries for developing programs that use libgdamm
Group:		Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	glibmm24-devel, compat-libgda-devel

%description devel
This package contains headers and libraries that programmers will need 
to develop applications which use libgdamm.

%prep
%setup -q

%build
%configure --enable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%{_includedir}/libgdamm-2.0
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/libgdamm-2.0
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Sep 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.3.7-4
- look who's alive again!

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.3.7-3
- FC5 time

* Thu Aug 11 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.3.7-2
- cleanups, additional devel Requires

* Sat Aug  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.3.7-1
- initial package for Fedora Extras
